Subject: bug#25301: 26.0.50; erc: peculiar error, emacs not compiled with dbus support

From: Jean Louis <[email-masked]>
Date: Thu, 5 Jan 2017 02:31:52 +0300

Hello,

I was testing Erc Notification Bus option, changing the string, but
still same error.

I have turned it off, and now I don't see errors.
 '(erc-notifications-mode nil)

Jean

On Wed, Jan 04, 2017 at 04:11:41PM -0500, Glenn Morris wrote:
> Jean Louis wrote:
> 
> > My emacs is compiled withou dbus support. And erc is a built-in, and
> > it complains "peculiar error, emacs not compiled with dbus support". I
> > guess if there is no dbus, then erc, that is a built-in shall not
> > complain on that. It blocks the emacs for short time.
> >
> > It could detect the dbus support, and simply not do those whatever
> > benefits of dbus are there.
> 
> I don't use erc, but AFAICS the only part of it that uses dbus is
> erc-desktop-notifications, which needs dbus to work at all.
> erc-desktop-notifications does not seem to be enabled by default,
> so it seems to me that you should simply stop doing whatever it is that
> you do that tries to use it.
> 
> > Features:
> > (help-fns radix-tree cus-edit mailclient shadow mailalias emacsbug
> > misearch multi-isearch mm-archive message dired dired-loaddefs rfc822
> > mml mml-sec epa gnus-util rmail rmail-loaddefs mailabbrev gmm-utils
> > mailheader mm-decode mm-bodies mm-encode network-stream starttls
> > url-http tls gnutls mail-parse rfc2231 url-gw nsm subr-x puny
> > url-cache url-auth epg erc-track erc-spelling flyspell ispell
> > erc-services erc-ring erc-desktop-notifications notifications dbus xml